=== Telegram/ThirdParty/nimf/debian/changelog ===
nimf (1.3.0hamonikr40.6) stable; urgency=medium

  * Release for Ubuntu 21.10 imfish

 -- HamoniKRTeam <pkg@hamonikr.org>  Thu, 23 Dec 2021 16:57:08 +0900

nimf (1.3.0hamonikr40.5) stable; urgency=medium

  * Release for Ubuntu 21.04 hirsute

 -- HamoniKRTeam <pkg@hamonikr.org>  Fri, 19 Mar 2021 16:42:20 +0900

nimf (1.3.0hamonikr40.4) stable; urgency=medium

  * Remove doc/nimf-info.png
   - Update README.md 
  * Update nimf/po/ko.po
   - Change distributor name to Hodong Kim
  * Update nimf/modules/services/indicator/nimf-indicator.c
   - Change distributor name to Hodong Kim

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 08 Dec 2020 09:49:50 +0900

nimf (1.3.0hamonikr40.3) stable; urgency=medium

  * Update nimf/configure.ac
   - Change version string to 1.3.0
  * Add doc/nimf-info.png and doc/nimf.png
   - Update README.md 
  * Update nimf/po/ko.po
   - Change distributor name as HamoniKR
  * Update nimf/modules/services/indicator/nimf-indicator.c
   - Change distributor name as HamoniKR

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 01 Dec 2020 15:23:33 +0900

nimf (1.3.0hamonikr40.2) stable; urgency=medium

  * rebuild deb package for hamonikr 4.0
   - Apply new icons for modules
  * Removed modules/engines/nimf-m17n/icons/scalable/nimf-m17n-ui.svg
   - Fix bug for nimf/modules/engines/nimf-m17n/test-nimf-m17n.c 

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 01 Dec 2020 15:23:33 +0900

nimf (1.3.0hamonikr40.1) stable; urgency=medium

  * rebuild deb package for hamonikr 4.0
   - Build for auto upgrage on HamoniKR 4.0 Jin
 
 -- HamoniKRTeam <pkg@hamonikr.org>  Sun, 29 Nov 2020 18:07:32 +0900

nimf (2020.04.28-1+hamonikr40.2) focal; urgency=low

  * Apply patch for HamoniKR 4.0
  * Update icons on data/icons/scalable folder
   - Apply new icon for HamoniKR 4.0
  * Update AUTHORS, README
   - Changed contact into AUTHORS for fix #23
  * Added BUILD.md and README.md
   - Add build descriptions for HamoniKR 4.0 (Ubuntu 20.04)
  * Update modules/services/indicator/nimf-indicator.c
   - Changed display maintainer name  

-- HamoniKR Team <pkg@hamonikr.org>  Sun, 29 Nov 2020 17:57:07 +0900

nimf (2020.04.28-0~20200428~hamonikr40.1) focal; urgency=low

  * Apply new icons for HamoniKR 4.0

-- HamoniKR Team <pkg@hamonikr.org>  Tue, 13 Oct 2020 15:32:00 +0900

nimf (2020.04.28) stable; urgency=medium

  * Fixed auto-reordering
  * Fixed errors when typing Hangul with the Dvorak layout.
  * Fixed wrong path. This prevents nimf from running more than once.
    Don't use g_get_user_runtime_dir()
  * Fix an error on compiling im-nimf.c for gtk2

 -- Hodong Kim <nimfsoft@gmail.com>  Tue, 28 Apr 2020 22:14:14 +0900

nimf (2019.08.14) stable; urgency=medium

  * Updated README
  * Fixed requirements
  * Use gtk-doc >= 1.26 to avoid automake warnings

 -- Hodong Kim <cogniti@gmail.com>  Wed, 14 Aug 2019 19:55:40 +0900

nimf (2019.08.05) stable; urgency=medium

  * Replaced specs/* with nimf.spec
  * IMdkit: Code cleanup (#106)
  * Imported some code from the RHEL code review

 -- Hodong Kim <cogniti@gmail.com>  Mon, 05 Aug 2019 22:19:55 +0900

nimf (2019.07.27) stable; urgency=medium

  * Fixed backward compatibility for OpenSUSE Leap
  * Fixed freezing (#152)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 27 Jul 2019 18:50:02 +0900

nimf (2019.07.26) stable; urgency=medium

  * Fixed a potential bug (#152)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 26 Jul 2019 23:06:01 +0900

nimf (2019.07.24) stable; urgency=medium

  * Added NIMF_KEY_Kanji, NIMF_KEY_Kana_Shift (#283)
  * nimf-anthy: Fixed the candidate window

 -- Hodong Kim <cogniti@gmail.com>  Wed, 24 Jul 2019 16:07:20 +0900

nimf (2019.07.21) stable; urgency=medium

  * nimf-settings: Fixd segmentation fault (#277 #280 #282)
  * IMdkit: Code cleanup (#106)
  * Updated installation documentation (#270 #281)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Jul 2019 23:30:08 +0900

nimf (2019.07.16) stable; urgency=medium

  * nimf-anthy: Code cleanup
  * nimf-anthy: Fixed space
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 16 Jul 2019 12:25:08 +0900

nimf (2019.07.10) stable; urgency=medium

  * Check schema and key for GNOME (#277)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 10 Jul 2019 23:09:46 +0900

nimf (2019.07.08) stable; urgency=medium

  * Added --disable-nimf-m17n option (#270)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 08 Jul 2019 23:28:52 +0900

nimf (2019.07.03) stable; urgency=medium

  * Improved nimf-settings
  * Added an option: Setup environment variables (#87)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 03 Jul 2019 19:05:33 +0900

nimf (2019.06.23) stable; urgency=medium

  * Fixed backward compatibility for m17n-db (#273)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 23 Jun 2019 21:42:16 +0900

nimf (2019.06.22) stable; urgency=medium

  * Fixed preedit window location
  * Fixed nimf-xim not starting in the Xwayland environment (#272)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 22 Jun 2019 19:10:34 +0900

nimf (2019.06.21) stable; urgency=medium

  * Redesigned shortcuts (closes #272)
  * im-nimf-qt5: Fixed lt major version

 -- Hodong Kim <cogniti@gmail.com>  Fri, 21 Jun 2019 10:05:24 +0900

nimf (2019.06.07) stable; urgency=medium

  * Updated some docs
  * Added signals: "engine-loaded", "engine-unloaded"
  * Code cleanup
  * Check if GNOME is running
  * Added missing org.nimf.settings.gschema.xml

 -- Hodong Kim <cogniti@gmail.com>  Fri, 07 Jun 2019 06:57:33 +0900

nimf (2019.06.06) stable; urgency=medium

  * Fixed how to apply xkb options (#269)
  * Fixed #267
  * nimf-rime: Fixed preedit state

 -- Hodong Kim <cogniti@gmail.com>  Thu, 06 Jun 2019 00:02:01 +0900

nimf (2019.06.05) stable; urgency=medium

  * nimf-rime: Fixed preedit state
  * Fixed how to apply xkb options (closes #269)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 05 Jun 2019 10:49:15 +0900

nimf (2019.06.03) stable; urgency=medium

  * Updated translations
  * Load module dynamically


